# Uses of Class
java.lang.reflect.Constructor

Packages that use Constructor
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
jdk.dynalink.linker.support
Contains classes that make it more convenient for language runtimes to implement their own language-specific object models and type conversions by providing basic implementations of some classes as well as various utilities.

## Uses of Constructor in java.lang

Methods in java.lang that return Constructor
Modifier and Type
Method
Description
`Constructor<T>`
Class.`getConstructor​(Class<?>... parameterTypes)`
Returns a `Constructor` object that reflects the specified public constructor of the class represented by this `Class` object.
`Constructor<?>[]`
Class.`getConstructors()`
Returns an array containing `Constructor` objects reflecting all the public constructors of the class represented by this `Class` object.
`Constructor<T>`
Class.`getDeclaredConstructor​(Class<?>... parameterTypes)`
Returns a `Constructor` object that reflects the specified constructor of the class or interface represented by this `Class` object.
`Constructor<?>[]`
Class.`getDeclaredConstructors()`
Returns an array of `Constructor` objects reflecting all the constructors declared by the class represented by this `Class` object.
`Constructor<?>`
Class.`getEnclosingConstructor()`
If this `Class` object represents a local or anonymous class within a constructor, returns a `Constructor` object representing the immediately enclosing constructor of the underlying class.

## Uses of Constructor in java.lang.invoke

Methods in java.lang.invoke with parameters of type Constructor
Modifier and Type
Method
Description
`MethodHandle`
MethodHandles.Lookup.`unreflectConstructor​(Constructor<?> c)`
Produces a method handle for a reflected constructor.

## Uses of Constructor in java.lang.reflect

Methods in java.lang.reflect that return types with arguments of type Constructor
Modifier and Type
Method
Description
`TypeVariable<Constructor<T>>[]`
Constructor.`getTypeParameters()`
Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.

## Uses of Constructor in javax.management

Constructors in javax.management with parameters of type Constructor
Modifier
Constructor
Description
``
`MBeanConstructorInfo​(String description, Constructor<?> constructor)`
Constructs an `MBeanConstructorInfo` object.

## Uses of Constructor in javax.management.modelmbean

Constructors in javax.management.modelmbean with parameters of type Constructor
Modifier
Constructor
Description
``
`ModelMBeanConstructorInfo​(String description, Constructor<?> constructorMethod)`
Constructs a ModelMBeanConstructorInfo object with a default descriptor.
``
`ModelMBeanConstructorInfo​(String description, Constructor<?> constructorMethod, Descriptor descriptor)`
Constructs a ModelMBeanConstructorInfo object.

## Uses of Constructor in jdk.dynalink.linker.support

Methods in jdk.dynalink.linker.support with parameters of type Constructor
Modifier and Type
Method
Description
`static MethodHandle`
Lookup.`unreflectConstructor​(MethodHandles.Lookup lookup, Constructor<?> c)`
Performs a `MethodHandles.Lookup.unreflectConstructor(Constructor)`, converting any encountered `IllegalAccessException` into an `IllegalAccessError`.
`MethodHandle`
Lookup.`unreflectConstructor​(Constructor<?> c)`
Performs a `MethodHandles.Lookup.unreflectConstructor(Constructor)`, converting any encountered `IllegalAccessException` into an `IllegalAccessError`.